Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs | Functions
view_adaptor.hpp File Reference

## Classes
struct | ranges::v3::adaptor_base
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::base_adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::base_adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::detail::base_adaptor_sentinel_< BaseSent, Adapt >
struct | ranges::v3::view_adaptor< Derived, BaseRng, Cardinality >

## Namespaces
| ranges
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.

## Typedefs
template<typename D >
using | ranges::v3::adaptor_cursor_t = adaptor_cursor< detail::adapted_iterator_t< D >, detail::begin_adaptor_t< D > >
template<typename BaseSent , typename Adapt >
using | ranges::v3::detail::adaptor_sentinel_ = meta::_t< base_adaptor_sentinel_< BaseSent, Adapt > >
template<typename D >
using | ranges::v3::adaptor_sentinel_t = meta::if_< meta::and_< Same< detail::adapted_iterator_t< D >, detail::adapted_sentinel_t< D > >, Same< detail::begin_adaptor_t< D >, detail::end_adaptor_t< D > >>, adaptor_cursor_t< D >, adaptor_sentinel< detail::adapted_sentinel_t< D >, detail::end_adaptor_t< D > >>

## Functions
template<typename BaseSent , typename Adapt >
meta::id< base_adaptor_sentinel< BaseSent, Adapt > > | ranges::v3::detail::base_adaptor_sentinel_2_ (long)
template<typename BaseSent , typename Adapt >
meta::id< typename Adapt::template mixin< base_adaptor_sentinel< BaseSent, Adapt > > > | ranges::v3::detail::base_adaptor_sentinel_2_ (int)